ruby2.6-rubygem-bunny-testsuite-2.11.0-1.3.i586.rpm


Advertisement

Description

ruby2.6-rubygem-bunny-testsuite - Test suite for bunny

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename ruby2.6-rubygem-bunny-testsuite-2.11.0-1.3.i586.rpm
Package name ruby2.6-rubygem-bunny-testsuite
Package version 2.11.0
Package release 1.3
Package architecture i586
Package type rpm
Category Development/Languages/Ruby
Homepage http://rubybunny.info
License MIT
Maintainer -
Download size 124.73 KB
Installed size 407.78 KB
Test::Unit or RSpec files, useful for developers.

Alternatives

Package Version Architecture Repository
ruby2.6-rubygem-bunny-testsuite-2.11.0-1.3.x86_64.rpm 2.11.0 x86_64 openSUSE Oss
ruby2.6-rubygem-bunny-testsuite - - -

Requires

Name Value
ruby2.6-rubygem-bunny = 2.11.0

Provides

Name Value
ruby2.6-rubygem-bunny-testsuite = 2.11.0-1.3
ruby2.6-rubygem-bunny-testsuite(x86-32) = 2.11.0-1.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ruby2.6-rubygem-bunny-testsuite-2.11.0-1.3.i586.rpm
Source Package rubygem-bunny-2.11.0-1.3.src.rpm

Install Howto

Install ruby2.6-rubygem-bunny-testsuite rpm package:

# zypper install ruby2.6-rubygem-bunny-testsuite

Files

Path
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/spec_helper.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/config/enabled_plugins
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/config/rabbitmq.config
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_ack_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_cancel_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_consume_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_consume_with_objects_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_get_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_nack_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_publish_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_qos_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_reject_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/basic_return_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/channel_close_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/channel_open_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/connection_recovery_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/connection_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/connection_stop_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/consumer_cancellation_notification_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/dead_lettering_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/exchange_bind_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/exchange_declare_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/exchange_delete_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/exchange_unbind_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/exclusive_queue_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/heartbeat_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/merry_go_round_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/message_properties_access_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/predeclared_exchanges_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/publisher_confirms_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/publishing_edge_cases_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/queue_bind_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/queue_declare_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/queue_delete_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/queue_purge_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/queue_unbind_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/read_only_consumer_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/sender_selected_distribution_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/tls_connection_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/tx_commit_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/tx_rollback_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/higher_level_api/integration/with_channel_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue100_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue141_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue202_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue224_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue465_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue78_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue83_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue97_attachment.json
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/issues/issue97_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/lower_level_api/
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/lower_level_api/integration/basic_cancel_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/lower_level_api/integration/basic_consume_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/channel_close_stress_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/channel_open_stress_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/channel_open_stress_with_single_threaded_connection_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/concurrent_consumers_stress_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/concurrent_publishers_stress_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/connection_open_close_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/stress/long_running_consumer_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/ca_certificate.pem
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/ca_key.pem
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/client_certificate.pem
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/client_key.pem
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/generate-server-cert.sh
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/server-openssl.cnf
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/server.csr
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/server_certificate.pem
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/tls/server_key.pem
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/bunny_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/exchange_recovery_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/version_delivery_tag_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/concurrent/atomic_fixnum_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/concurrent/condition_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/concurrent/linked_continuation_queue_spec.rb
/usr/lib/ruby/gems/2.6.0/gems/bunny-2.11.0/spec/unit/concurrent/synchronized_sorted_set_spec.rb

Changelog

2018-06-28 - ammartinez@suse.com
- Remove patch: bunny-2.6.2-set-default-paths.diff
The patch was used to add openSUSE default certificates,
as ca-bundle.pem doesn't exist anymore
Patch is already in upstream:
https://github.com/ruby-amqp/bunny/pull/555
2018-06-28 - factory-auto@kulow.org
- updated to version 2.11.0
see installed ChangeLog.md
2018-06-05 - factory-auto@kulow.org
- updated to version 2.10.0
see installed ChangeLog.md
2018-02-22 - factory-auto@kulow.org
- updated to version 2.9.2
see installed ChangeLog.md
2018-01-16 - enavarro@suse.com
- Update to version 2.9.1
* Changelog not found.
2018-01-09 - enavarro@suse.com
- Update to version 2.9.0
* Bunny now requires Ruby 2.2.
* Support for Additional URI Query Parameters
Please refer to the upstream changelog for detailed information.
2017-12-19 - bgeuken@suse.com
- Update to version 2.8.0
* Bunny::Channel#close on a Closed Channel Now Raises a Sensible Exception
* JRuby 9K Compatibility
* Connection Exceptions are Logged as Warning with Automatic Recovery
* Server Heartbeat Value as a String
Please refer to the upstream changelog for detailed information.
2017-11-17 - mschnitzer@suse.com
- Remove patch bunny-2.7.2-shebang_fix.diff:
It turned out that it is only needed for local building (different
rpmlint versions)
2017-11-06 - mschnitzer@suse.com
- updated to version 2.7.2
no changelog found
Added patch bunny-2.7.2-shebang_fix.diff:
Without this patch it's no longer possible to build that gem, because
it throws two errors:
ruby2.4-rubygem-bunny.x86_64: E: env-script-interpreter (Badness: 9) /usr/lib64/ruby/gems/2.4.0/gems/bunny-2.7.2/bunny.gemspec /usr/bin/env gem build
ruby2.5-rubygem-bunny.x86_64: E: env-script-interpreter (Badness: 9) /usr/lib64/ruby/gems/2.5.0/gems/bunny-2.7.2/bunny.gemspec /usr/bin/env gem build
2017-09-29 - mdeniz@suse.com
- updated to version 2.7.1
see installed ChangeLog.md

See Also

Package Description
ruby2.6-rubygem-byebug-11.0.1-1.1.i586.rpm Ruby fast debugger - base + CLI
ruby2.6-rubygem-byebug-11.0.1-1.1.x86_64.rpm Ruby fast debugger - base + CLI
ruby2.6-rubygem-byebug-doc-11.0.1-1.1.i586.rpm RDoc documentation for byebug
ruby2.6-rubygem-byebug-doc-11.0.1-1.1.x86_64.rpm RDoc documentation for byebug
ruby2.6-rubygem-capistrano-3.11.0-1.3.i586.rpm Capistrano - Welcome to easy deployment with Ruby over SSH
ruby2.6-rubygem-capistrano-3.11.0-1.3.x86_64.rpm Capistrano - Welcome to easy deployment with Ruby over SSH
ruby2.6-rubygem-capistrano-doc-3.11.0-1.3.i586.rpm RDoc documentation for capistrano
ruby2.6-rubygem-capistrano-doc-3.11.0-1.3.x86_64.rpm RDoc documentation for capistrano
ruby2.6-rubygem-capistrano-harrow-0.5.3-1.11.i586.rpm A plugin to improve the user experience for users of Capistrano and
ruby2.6-rubygem-capistrano-harrow-0.5.3-1.11.x86_64.rpm A plugin to improve the user experience for users of Capistrano and
ruby2.6-rubygem-capistrano-harrow-doc-0.5.3-1.11.i586.rpm RDoc documentation for capistrano-harrow
ruby2.6-rubygem-capistrano-harrow-doc-0.5.3-1.11.x86_64.rpm RDoc documentation for capistrano-harrow
ruby2.6-rubygem-capistrano-stats-1.1.1-1.13.i586.rpm Official metrics to help the development direction of Capistrano
ruby2.6-rubygem-capistrano-stats-1.1.1-1.13.x86_64.rpm Official metrics to help the development direction of Capistrano
ruby2.6-rubygem-capistrano-stats-doc-1.1.1-1.13.i586.rpm RDoc documentation for capistrano-stats
Advertisement
Advertisement